# $Revision: 1.4 $, $Date: 2012/02/11 09:54:30 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	CPAN
%define		pnam	Meta-YAML
%include	/usr/lib/rpm/macros.perl
Summary:	CPAN::Meta::YAML - read and write a subset of YAML for CPAN Meta files
Summary(pl.UTF-8):	CPAN::Meta::YAML - odczyt i zapis podzbioru YAML-a dla plików CPAN Meta
Name:		perl-CPAN-Meta-YAML
Version:	0.007
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/CPAN/DAGOLDEN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f53068231e0f19d5f49af06732bb9bcc
URL:		http://search.cpan.org/dist/CPAN-Meta-YAML/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a subset of the YAML specification for use in
reading and writing CPAN metadata files like META.yml and MYMETA.yml.
It should not be used for any other general YAML parsing or generation
task.

%description -l pl.UTF-8
Ten moduł jest implementacją podzbioru specyfikacji YAML-a
przeznaczoną do odczytu i zapisu plików metadanych CPAN, takich jak
META.yml i MYMETA.yml. Nie powinien być używany do przetwarzania i
generowania YAML-a w innych celach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/CPAN
%dir %{perl_vendorlib}/CPAN/Meta
%{perl_vendorlib}/CPAN/Meta/YAML.pm
%{_mandir}/man3/CPAN::Meta::YAML.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CPAN-Meta-YAML.spec,v $
Revision 1.4  2012/02/11 09:54:30  zbyniu
- up to 0.007

Revision 1.3  2012/01/13 22:29:44  zbyniu
- up to 0.005

Revision 1.2  2011/02/23 17:56:39  qboosh
- pl

Revision 1.1  2011/02/11 10:38:13  lisu
- new, created with pldcpan script
